16.04拒絕了dsl的使用者? [論壇 - Ubuntu安裝問題]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

(1) 2 3 »


16.04拒絕了dsl的使用者?
會員二級
註冊日期:
2015/3/28 21:29
所屬群組:
已註冊使用者
等級: 6
HP : 0 / 140
MP : 20 / 1769
EXP: 62
離線
16.04 在beta2(ubuntu, xubuntu和mate)時dsl連線雖卡卡的, 但多點幾次「連線」總可通的。

但更新升級後,就怎麼都連不上了。

今試用xubuntu16.04正式發行版,連不上就是連不上。

在下是懷疑,可能在beta2和正式發行版之間,某個改變造成的結果,但
那是在我的能力之外了。

2016/4/22 12:01
應用擴展 工具箱
回覆: 16.04拒絕了dsl的使用者?
會員一級
註冊日期:
2012/2/28 10:04
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 15
MP : 2 / 325
EXP: 60
離線
我正想安裝16.04版的,請問是ADSL 連不上嗎?

我從11.04至今都未曾發生過連不網路的事情。

2016/4/22 13:11
應用擴展 工具箱
回覆: 16.04拒絕了dsl的使用者?
會員二級
註冊日期:
2015/3/28 21:29
所屬群組:
已註冊使用者
等級: 6
HP : 0 / 140
MP : 20 / 1769
EXP: 62
離線
建議您先選試用、設定adsl 連線後,看連得上否?再看是否安裝。

我在16.04 在beta2...之前,都沒遇這情形的。

2016/4/22 13:29
應用擴展 工具箱
回覆: 16.04拒絕了dsl的使用者?
會員二級
註冊日期:
2011/7/9 13:27
所屬群組:
已註冊使用者
等級: 8
HP : 0 / 193
MP : 31 / 4537
EXP: 73
離線
ppp 的驗證方式 只勾選 PAP試看看

2016/4/22 16:48
應用擴展 工具箱
回覆: 16.04拒絕了dsl的使用者?
會員二級
註冊日期:
2015/3/28 21:29
所屬群組:
已註冊使用者
等級: 6
HP : 0 / 140
MP : 20 / 1769
EXP: 62
離線
MMX 寫到:
ppp 的驗證方式 只勾選 PAP試看看


我用Ubuntu MATE 16.04 beta2 試,然後更新升級...結果

殘念.....了。

2016/4/22 18:36
應用擴展 工具箱
回覆: 16.04拒絕了dsl的使用者?
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 4229
EXP: 22
離線
披上 Mint 糖衣的 Ubuntu 16.04 正式版


2016/4/23 10:19
應用擴展 工具箱
回覆: 16.04拒絕了dsl的使用者?
會員一級
註冊日期:
2011/5/6 22:17
所屬群組:
已註冊使用者
等級: 2
HP : 0 / 34
MP : 4 / 828
EXP: 38
離線
今天試裝 16.04,這次問題更猛,發現連 pppoeconf 都沒有預裝……
在終端機打 ppp 按 Tab 鍵也沒找到啥有頭緒的命令,預裝的那軟體試了再試而無果。
於是乾脆到 http://packages.ubuntu.com/xenial/allpackages 下載 ppp、pppoe、pppoeconf 三個 deb 包,
自己用 dpkg -i 一併安裝(話說回來,我當然是留有舊系統才能上網下載!)。

我自己仍然是利用 pppoeconf 指令連線,
但也順手查了一下 network-manager 這個包:
http://packages.ubuntu.com/xenial/network-manager
跟 pppoe 直接相關的依賴套件似乎是 ppp 這個包,而它算是「推薦套件」。

現在沒立刻打算多做測試,
不過,建議不能連線的人注意看看系統有沒有 ppp 這個套件。

2016/4/23 19:28
應用擴展 工具箱
回覆: 16.04拒絕了dsl的使用者?
會員四級
註冊日期:
2008/7/12 3:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 381
MP : 100 / 12278
EXP: 25
離線
剛剛試著用 lubuntu

也是無法用 DSL

連線

試問 ubuntu 這系統就是九成九需要網路連線更新

第一步就讓初心者卡關

如何推廣?



繼續用 14.04

等 16.04.x

2016/4/23 21:51
應用擴展 工具箱
回覆: 16.04拒絕了dsl的使用者?
會員三級
註冊日期:
2007/7/3 16:11
所屬群組:
已註冊使用者
等級: 12
HP : 0 / 293
MP : 62 / 10318
EXP: 72
離線
原來是還有很多問題,怪不得過了這麼久,我的 14.04 一直沒有告訴我有新的長期支援版本出現可以升級,大概他們心裡有數吧。先不當白老鼠,以靜制動。

2016/4/23 23:16
應用擴展 工具箱
回覆: 16.04拒絕了dsl的使用者?
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 169 / 845
MP : 571 / 17888
EXP: 81
離線
萬葉丸 寫到:
今天試裝 16.04,這次問題更猛,發現連 pppoeconf 都沒有預裝……
在終端機打 ppp 按 Tab 鍵也沒找到啥有頭緒的命令,預裝的那軟體試了再試而無果。
於是乾脆到 http://packages.ubuntu.com/xenial/allpackages 下載 ppp、pppoe、pppoeconf 三個 deb 包,
自己用 dpkg -i 一併安裝(話說回來,我當然是留有舊系統才能上網下載!)。

我自己仍然是利用 pppoeconf 指令連線,
但也順手查了一下 network-manager 這個包:
http://packages.ubuntu.com/xenial/network-manager
跟 pppoe 直接相關的依賴套件似乎是 ppp 這個包,而它算是「推薦套件」。

現在沒立刻打算多做測試,
不過,建議不能連線的人注意看看系統有沒有 ppp 這個套件。




PS:

以下純討論相關議題,無法直接解決樓主的問題,歹勢。



========================================================================

萬葉丸 寫到:
今天試裝 16.04,這次問題更猛,發現連 pppoeconf 都沒有預裝……


...略...

不過,建議不能連線的人注意看看系統有沒有 ppp 這個套件。




關於這個,

在「Xubuntu 16.04」,預設會安裝「ppp」這個套件,預設沒安裝「pppoeconf」這個套件。

不曉得為什麼在「Xubuntu 16.04」預設就不安裝「pppoeconf」這個套件了,Orz...

另外「pppoeconf」應該不是非必要安裝的套件,
就我的理解,它只是撰寫設定檔的輔助工具,你可以研究「/usr/sbin/pppoeconf」,
裡面可以看到一段是執行「$ pon dsl-provider」,而「pon」是屬於「ppp」這個套件。

而「pon」的最後一行,「exec /usr/sbin/pppd call $PROVIDER "$@"」,是執行「pppd」,也是屬於「ppp」這個套件。

「$PROVIDER」在前面有「PROVIDER=$1」,所以「$ pon dsl-provider」,「$PROVIDER」就會是「dsl-provider」
「dsl-provider」指的就是「/etc/ppp/peers/dsl-provider」這個檔,這個檔是由「pppoeconf」產生的。


我在「這裡」和「這裡
有紀錄測試的結果和探索的簡易紀錄

========================================================================

萬葉丸 寫到:
在終端機打 ppp 按 Tab 鍵也沒找到啥有頭緒的命令,預裝的那軟體試了再試而無果。




若要深究的話,可以研究下面幾個檔的內容

/usr/sbin/pppoeconf



/usr/bin/pon
/usr/bin/plog
/usr/bin/poff

這幾個檔都是「Shell Script」,觀看裡面的內容就可以找到一些線索,

套件的探索,我紀錄在「這裡

補充幾個範例

執行


$ dpkg -L ppp | grep bin



顯示


/usr/sbin
/usr/sbin/pppstats
/usr/sbin/pppdump
/usr/sbin/pppd
/usr/sbin/chat
/usr/sbin/pppoe-discovery
/usr/bin
/usr/bin/pon
/usr/bin/plog
/usr/bin/poff
/usr/lib/pppd/2.4.7/winbind.so



執行


$ dpkg -L ppp | grep bin



顯示


/usr/share/man/man8
/usr/share/man/man8/pppd.8.gz
/usr/share/man/man8/pppstats.8.gz
/usr/share/man/man8/pppd-radattr.8.gz
/usr/share/man/man8/pppd-radius.8.gz
/usr/share/man/man8/pppoe-discovery.8.gz
/usr/share/man/man8/pppdump.8.gz
/usr/share/man/man8/chat.8.gz
/usr/share/man/man1
/usr/share/man/man1/pon.1.gz
/usr/share/man/man1/poff.1.gz
/usr/share/man/man1/plog.1.gz




* man pon
* man poff
* man plog

* man pppd
* man pppstats
* man pppd-radattr
* man pppd-radius
* man pppoe-discovery
* man pppdump
* man chat

========================================================================

萬葉丸 寫到:
於是乾脆到 http://packages.ubuntu.com/xenial/allpackages 下載 ppp、pppoe、pppoeconf 三個 deb 包,
自己用 dpkg -i 一併安裝(話說回來,我當然是留有舊系統才能上網下載!)。

我自己仍然是利用 pppoeconf 指令連線,
但也順手查了一下 network-manager 這個包:
http://packages.ubuntu.com/xenial/network-manager
跟 pppoe 直接相關的依賴套件似乎是 ppp 這個包,而它算是「推薦套件」。

現在沒立刻打算多做測試,
不過,建議不能連線的人注意看看系統有沒有 ppp 這個套件。



除了上網頁查看套件相關訊息,
也可以使用下面指令查看,不需要連線

執行


$ apt-cache show network-manager




顯示


Package: network-manager
Priority: optional
Section: net
Installed-Size: 9524
Maintainer: Ubuntu Core Dev Team <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Architecture: amd64
Version: 1.1.93-0ubuntu4
Depends: libbluetooth3 (>= 4.91), libc6 (>= 2.17), libglib2.0-0 (>= 2.39.4), libgnutls30 (>= 3.4.0), libgudev-1.0-0 (>= 165), libmm-glib0 (>= 1.0.0), libndp0 (>= 1.2), libnewt0.52, libnl-3-200 (>= 3.2.7), libnm0 (>= 1.1.93), libpolkit-agent-1-0 (>= 0.99), libpolkit-gobject-1-0 (>= 0.104), libreadline6 (>= 6.0), libsoup2.4-1 (>= 2.40), libsystemd0, libuuid1 (>= 2.16), init-system-helpers (>= 1.18~), lsb-base (>= 4.1+Debian11ubuntu7), dnsmasq-base, wpasupplicant (>= 0.7.3-1), dbus (>= 1.1.2), udev, adduser, isc-dhcp-client (>= 4.3.1-5ubuntu1), libpam-systemd, policykit-1
Recommends: ppp (>= 2.4.6), iptables, modemmanager, crda, iputils-arping, network-manager-pptp, network-manager-gnome | plasma-widget-networkmanagement | plasma-nm
Suggests: avahi-autoipd, python
Conflicts: connman
Breaks: network-manager-gnome (<< 0.9), network-manager-kde (<< 1:0.9), network-manager-openconnect (<< 0.9), network-manager-openvpn (<< 0.9), network-manager-pptp (<< 0.9), network-manager-vpnc (<< 0.9), plasma-widget-networkmanagement (<< 0.9~), ppp (<< 2.4.6)
Filename: pool/main/n/network-manager/network-manager_1.1.93-0ubuntu4_amd64.deb
Size: 1946144
MD5sum: 2f31dc16a6a7c1efc05a16dec296604d
SHA1: 81969ff9ae213ade6bb08df9720dc5b458a17522
SHA256: 1bc253a4cd7ddff97fed13fe5b45752d66ef8fdce2b337acdfb3117ece6c2aab
Description-en: network management framework (daemon and userspace tools)
NetworkManager is a system network service that manages your network devices
and connections, attempting to keep active network connectivity when
available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
devices, and provides VPN integration with a variety of different VPN
services.
.
This package provides the userspace daemons and a command line interface to
interact with NetworkManager.
.
Optional dependencies:
* ppp: Required for establishing dial-up connections (e.g. via GSM).
* avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
address configuration.
Description-md5: 8f6f8b56b77097ec1e2134d2c9189882
Homepage: https://wiki.gnome.org/Projects/NetworkManager
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: ubuntu-desktop, ubuntu-usb, kubuntu-desktop, kubuntu-full, edubuntu-desktop, edubuntu-usb, xubuntu-core, xubuntu-desktop, mythbuntu-frontend, mythbuntu-desktop, mythbuntu-backend-slave, mythbuntu-backend-master, lubuntu-desktop, ubuntustudio-desktop-core, ubuntustudio-desktop, ubuntu-gnome-desktop, ubuntu-touch-core, ubuntu-touch, ubuntu-sdk, ubuntukylin-desktop, ubuntu-mate-core, ubuntu-mate-desktop, ubuntu-mate-cloudtop



注意有一段說明


Optional dependencies:
* ppp: Required for establishing dial-up connections (e.g. via GSM).




不過題外話,說明可以當參考,不過有時候說明沒有match實際狀況,導致誤導了,
之前有一個「討論案例」就是如此,
這應該算特例,Orz....

執行


$ apt-cache show ppp



顯示



Package: ppp
Priority: optional
Section: admin
Installed-Size: 951
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Chris Boot <bootc@debian.org>
Architecture: amd64
Version: 2.4.7-1+2ubuntu1
Depends: libc6 (>= 2.15), libpam0g (>= 0.99.7.1), libpcap0.8 (>= 0.9.8), libssl1.0.0 (>= 1.0.0), init-system-helpers (>= 1.18~), libpam-modules, libpam-runtime, procps
Breaks: network-manager (<< 0.9.8.8-7~), network-manager-pptp (<< 0.9.8.4-3~), pppdcapiplugin (<< 1:3.25+dfsg1-3.4~)
Filename: pool/main/p/ppp/ppp_2.4.7-1+2ubuntu1_amd64.deb
Size: 328758
MD5sum: 8b7d96b104cf3027f743dbc4f25bf1d6
SHA1: a6dac4fc3002f6db6547a5b194d9d79663649645
SHA256: 2af659e9693689744818797270234ba35711cfd48a59a1476db3a360cf0b5f8d
Description-en: Point-to-Point Protocol (PPP) - daemon
The Point-to-Point Protocol provides a standard way to transmit
datagrams over a serial link, as well as a standard way for the machines
at either end of the link to negotiate various optional characteristics
of the link.
.
This package is most commonly used to manage a modem for dial-up or
certain kinds of broadband connections.
Description-md5: 30c8068bb5c8dc59b8b1cfb452d03c8a
Homepage: http://ppp.samba.org/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: ubuntu-core, ubuntu-desktop, ubuntu-usb, kubuntu-desktop, kubuntu-full, ubuntu-core, edubuntu-desktop, edubuntu-usb, xubuntu-core, xubuntu-desktop, mythbuntu-frontend, mythbuntu-desktop, mythbuntu-backend-slave, mythbuntu-backend-master, lubuntu-desktop, ubuntustudio-desktop-core, ubuntustudio-desktop, ubuntu-gnome-desktop, ubuntu-touch, ubuntu-sdk, ubuntukylin-desktop, ubuntu-mate-core, ubuntu-mate-desktop, ubuntu-mate-cloudtop




還有其他種方式,


例如,使用「dpkg -s」

執行


$ dpkg -s ppp



執行


$ dpkg -s network-manager




觀看「/var/lib/dpkg/status」這個檔的內容


$ grep 'Package: ppp' /var/lib/dpkg/status -A 33




$ grep 'Package: network-manager$' /var/lib/dpkg/status -A 37




另外還有一種方法是直接下載套件來看,這個就需要連線了。

============================================================================

執行


$ dpkg -L network-manager | grep ppp



顯示


/usr/lib/pppd
/usr/lib/pppd/2.4.7
/usr/lib/pppd/2.4.7/nm-pppd-plugin.so




之前提的,我看ps時,瞥見到的檔

2016/4/23 23:28
應用擴展 工具箱

(1) 2 3 »

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.